Foreman - Bug #5679

Using compute_resource_name in API results in undefined method “find_by_to_label'
05/12/2014 03:10 PM - Dominic Cleal

Status: Closed

Priority: Normal

Assignee: Dominic Cleal

Category: API

Target version: 1.6.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Trying to identify a compute resource by name with the "compute_resource_name" helper throws the following error:

Started POST "/api/v2/hosts" for 127.0.0.1 at 2014-05-12 16:07:23 +0100
Processing by Api::V2::HostsControllerf#create as JSON

Parameters: {"name"=>"test4250", "hostgroup_name"=>"libvirt", "compute_resource_name"=>"localhos
t", "compute_profile_name"=>"libvirt", "apiv"=>"v2", "host"=>{"name"=>"test4250", "hostgroup_name"
=>"1ibvirt", "compute_resource_name"=>"localhost", "compute_profile_name"=>"libvirt"}}
undefined method "find_by_to_label' for #<Class:0x007fbal0fe099%9a0> (NoMethodError)
/home/dcleal/.rvm/gems/ruby-2.0.0-p247Q@foreman/gems/activerecord-3.2.18/1ib/active_record/dynamic_
matchers.rb:27:in "method_missing’
/home/dcleal/code/foreman/foreman/app/models/concerns/has_many_common.rb:83:in “block in belongs_t
o_name_for'
/home/dcleal/.rvm/gems/ruby—-2.0.0-p247@foreman/gems/activerecord-3.2.18/1lib/active_record/attribut
e_assignment.rb:85:1in “block in assign_attributes'
/home/dcleal/.rvm/gems/ruby—-2.0.0-p247@foreman/gems/activerecord-3.2.18/1lib/active_record/attribut
e_assignment.rb:78:1in “each'
/home/dcleal/.rvm/gems/ruby-2.0.0-p247@foreman/gems/activerecord-3.2.18/1lib/active_record/attribut
e_assignment.rb:78:in “assign_attributes'
/home/dcleal/.rvm/gems/ruby-2.0.0-p247Q@foreman/gems/activerecord-3.2.18/1ib/active_record/base.rb:
498:in “initialize'
/home/dcleal/.rvm/gems/ruby—-2.0.0-p247@foreman/gems/actionpack-3.2.18/1lib/action_dispatch/routing/
url_for.rb:103:in “initialize'
/home/dcleal/code/foreman/foreman/app/models/concerns/foreman/sti.rb:22:in "new'
/home/dcleal/code/foreman/foreman/app/models/concerns/foreman/sti.rb:22:in "new_with_cast'
/home/dcleal/code/foreman/foreman/app/models/host.rb:16:in "method_missing'
/home/dcleal/code/foreman/foreman/app/controllers/api/v2/hosts_controller.rb:70:in "create'

Associated revisions

Revision 6a6cccfe - 07/01/2014 08:04 AM - Dominic Cleal

fixes #5679 - change CR identifier to name to fix has_many association lookup

History

#1 - 06/23/2014 11:17 AM - Dominic Cleal
- Status changed from New to Assigned
- Assignee set to Dominic Cleal

- Target version set to 1.8.1

#2 - 06/23/2014 11:24 AM - Dominic Cleal
- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1534
https://github.com/theforeman/foreman/pull/1534

#3 - 07/01/2014 08:07 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#4 - 07/01/2014 09:04 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 6a6cccfe98fd7ee2d8242235¢2a2002{830b9cec.
